Community

Forums » SEPHP Help and Tips

Could not load class: Core_Api_Settings

    • 16 posts
    September 11, 2017 2:53 PM EDT

    Hi! When I try to upload my plugins I'm getting this error: Could not load class: Core_Api_Settings. Can you please tell me how to correct this?

     

    Thanks.

    • 551 posts
    September 11, 2017 5:15 PM EDT

    We had several support tickets with this issue. All were related to third party plugins needing updating. Please check your error log. It should show in there. 


    This post was edited by Donna at September 11, 2017 5:27 PM EDT
    • 16 posts
    September 12, 2017 8:49 AM EDT

    Well I guess that all plugins need updating, then. I get this error with the SESolutions plugins.  Thanks!!!!

    • 16 posts
    September 12, 2017 9:00 AM EDT

    Also here are the last errors showing in the log and are they related?

    #0 /home/cjyjmsuv/public_html/application/libraries/Zend/Db/Statement.php(115): Zend_Db_Statement_Mysqli->_prepare('SELECT `engine4...')
    #1 /home/cjyjmsuv/public_html/application/libraries/Zend/Db/Adapter/Mysqli.php(388): Zend_Db_Statement->__construct(Object(Zend_Db_Adapter_Mysqli), 'SELECT `engine4...')
    #2 /home/cjyjmsuv/public_html/application/libraries/Zend/Db/Adapter/Abstract.php(479): Zend_Db_Adapter_Mysqli->prepare('SELECT `engine4...')
    #3 /home/cjyjmsuv/public_html/application/libraries/Zend/Db/Select.php(711): Zend_Db_Adapter_Abstract->query('SELECT `engine4...')
    #4 /home/cjyjmsuv/public_html/application/modules/Core/Bootstrap.php(318): Zend_Db_Select->query()
    #5 /home/cjyjmsuv/public_html/application/libraries/Engine/Application/Bootstrap/Abstract.php(256): Core_Bootstrap->_init in /home/cjyjmsuv/public_html/application/libraries/Zend/Db/Statement/Mysqli.php on line 77

     

    • 551 posts
    September 12, 2017 9:06 AM EDT

    That's not the full error log for that one issue. There should be more to it. It could be related to your current issue but it's hard to say without more details. 


    This post was edited by Donna at September 12, 2017 9:06 AM EDT
    • 16 posts
    September 12, 2017 9:44 AM EDT

    Is the only log in the public_html.

    • 551 posts
    September 12, 2017 10:03 AM EDT

    That's not the full post of the log for that error. Can you please go to temporary/log/main.log and once you open that, please post that one full error including all of it (with date, etc) . Make sure the date is current and this is not an old error please.

    Alternately, if you have support with us, please send us a ticket and we'll check on it.

    • 16 posts
    September 12, 2017 12:19 PM EDT

    Sorry for the delay Donna. I was doing some testing and did a fresh 4.9.4 install. I did installed the SESolutions SEBasic fine. I deleted all again and did a fresh install with the 4.9.4 and the 4.9.4p1 upgrade. No plugins can be installed. Here is what I got from the steps you gave me:

    2017-09-12T13:50:00+00:00 WARN (4): [2] A non-numeric value encountered (/home/cjyjmsuv/public_html/application/modules/Core/Model/DbTable/Tasks.php) [334]
    Error Code: bd115a
    Stack trace:
    #0 /home/cjyjmsuv/public_html/application/modules/Core/Model/DbTable/Tasks.php(257): Core_Model_DbTable_Tasks->_triggerCheck()
    #1 /home/cjyjmsuv/public_html/application/modules/Core/Bootstrap.php(90): Core_Model_DbTable_Tasks->trigger()
    #2 /home/cjyjmsuv/public_html/application/libraries/Engine/Application.php(160): Core_Bootstrap->run()
    #3 /home/cjyjmsuv/public_html/application/index.php(223): Engine_Application->run()
    #4 /home/cjyjmsuv/public_html/index.php(25): include('/home/cjyjmsuv/public_html/appli...')
    #5 {main}

     

    But again, the plugins upload fine with just the 4.9.4 with no upgrade to 4.9.4p1.

     

     

    • 16 posts
    September 12, 2017 12:55 PM EDT

    Donna, my mistake!!!  The SESolutions core plugin installed ok, but the rest won't. sorry. So the real problem is that they have not updated yet, I guess!

    • 551 posts
    September 13, 2017 5:31 AM EDT

    Ok it must be that core then. Hope they resolve it. Do the others work if you don't install the core or do they require the core to install?

    • 16 posts
    September 13, 2017 12:25 PM EDT

    Hi, Donna! Well I'm stuck with this vendor so far. I will do the rest later. I know that Hire-Experts is doing most of theirs html5 now with no Core in the future. Will keep you posted!

    • 551 posts
    September 13, 2017 2:08 PM EDT

    Try the patch2 in your client downloads from us (SocialEngine). We made a patch to remove the nice improvements we had made to the plugin area as there was an issue with installing new plugins if a plugin failed to install. I don't think that would help in your case as you are having a different issue but since all of the improvements are gone, it could help as the third party core plugins could be overwriting our admin template with their own stuff. 

  • gs
    • 201 posts
    September 13, 2017 3:37 PM EDT

    @Donna

    Are you referring to ==> SocialEngine PHP Upgrade (4.x - 4.9.4p2)

    or is there actually a small patch file like some other times?

    • 551 posts
    September 14, 2017 5:06 AM EDT

    Yes that is the patch upgrade. Sorry for not being more specific. It needed to be a patch release this time as it's dealing with admin panel and we can't distribute that via one patch file. However, you can download it if you upgraded to p1 and it should work to apply the changed files. Use diffmerge or beyond compare to check.